import { shallowMount } from "@vue/test-utils";
import Sensor from "@/components/Sensor.vue";

describe("Sensor", () => {
  it("should render to a snapshot when sensor is null", () => {
    const propsData = { sensor: null };
    const wrapper = shallowMount(Sensor, { propsData });
    expect(wrapper.element).toMatchSnapshot();
  });

  it("should render to a snapshot when a temperature sensor exists", () => {
    const propsData = {
      sensor: {
        id: 1,
        name: "Sensor #1",
        data: [0, 1, 2, 3],
        type: "TEMPERATURE"
      }
    };
    const wrapper = shallowMount(Sensor, { propsData });
    expect(wrapper.element).toMatchSnapshot();
  });
  it("should render to a snapshot when a percentage sensor exists", () => {
    const propsData = {
      sensor: {
        id: 1,
        name: "Sensor #2",
        data: [0.1, 0.1, 0.22, 1],
        type: "PERCENT"
      }
    };
    const wrapper = shallowMount(Sensor, { propsData });
    expect(wrapper.element).toMatchSnapshot();
  });
});
